#786 Keyboard freeze

FreeMind_0.8.0
closed-fixed
Eric L.
Linux (67)
5
2009-05-20
2008-12-13
Pierre Koever
No

When using FreeMind, after 5-10 seconds the keyboard does not input any more. Mouse actions are still possible, though. The program can be close properly using the mouse; thus, it is not a program freeze, just the keyboard.

Furthermore, it is not possible to save the actual mindmap, i.e. even with mouse actio and using the save dialogue, the file does not save. At next start, the last second-last version of the mindmap is displayed.

Using:
SUSE Enterprise Desktop 10
FreeMind 0.8.1
Java 1.6
Netbook HP 2133 mini

Any ideas ?

Discussion

  • Pierre Koever
    Pierre Koever
    2008-12-17

    Hello again

    Here is what I could find out, following up on Eric's comment:

    *****

    jEdit seems to be working fine. I can write and change text for a seemingly endless period without getting a keyboard freeze. I think this is a good sign for the Java installation.

    *****

    Here is the required information:

    pierre@PFKnet:~> debug=1 freemind

    Looking for user properties:
    /home/pierre/.freemind/user.properties

    User properties found.
    Default (System) Look & Feel: com.sun.java.swing.plaf.gtk.GTKLookAndFeel
    [Freemind-Developer-Internal-Warning (do not write a bug report, please)]: Tried
    to get view without being able to get map module.
    17.12.2008 09:26:08 freemind.modes.ModesCreator getAllModes
    INFO: Modes:[freemind.modes.browsemode.BrowseMode, freemind.modes.filemode.FileM
    ode, freemind.modes.mindmapmode.MindMapMode]
    17.12.2008 09:26:08 freemind.modes.ModesCreator getMode
    INFO: Initializing mode MindMap
    17.12.2008 09:26:09 freemind.modes.mindmapmode.MindMapController <init>
    INFO: createIconActions
    17.12.2008 09:26:09 freemind.modes.mindmapmode.MindMapController <init>
    INFO: createNodeHookActions
    17.12.2008 09:26:11 freemind.modes.mindmapmode.MindMapController <init>
    INFO: mindmap_menus
    17.12.2008 09:26:11 freemind.modes.mindmapmode.MindMapController <init>
    INFO: MindMapPopupMenu
    17.12.2008 09:26:11 freemind.modes.mindmapmode.MindMapController <init>
    INFO: MindMapToolBar
    17.12.2008 09:26:11 freemind.modes.mindmapmode.MindMapController <init>
    INFO: setAllActions
    17.12.2008 09:26:11 freemind.modes.ModesCreator getMode
    INFO: Done: Initializing mode MindMap
    17.12.2008 09:26:12 freemind.controller.MainToolBar setZoomComboBox
    INFO: setZoomComboBox is called with 1.0.
    17.12.2008 09:26:12 freemind.extensions.HookFactory getClassLoader
    INFO: file /usr/share/freemind/plugins/time/time_plugin.jar exists = true
    17.12.2008 09:26:12 freemind.extensions.HookFactory getClassLoader
    INFO: file /usr/share/java/jcalendar.jar exists = true
    17.12.2008 09:26:12 freemind.modes.mindmapmode.MindMapController startupControll
    er
    INFO: mScheduledActions are executed: 4
    17.12.2008 09:26:12 freemind.modes.ControllerAdapter registerMouseWheelEventHand
    ler
    INFO: Registered MouseWheelEventHandler accessories.plugins.UnfoldAll$Registra
    tion@6a2f81
    17.12.2008 09:26:32 freemind.modes.ControllerAdapter deRegisterMouseWheelEventHa
    ndler
    INFO: Deregistered MouseWheelEventHandler accessories.plugins.UnfoldAll$Registra
    tion@6a2f81
    [Freemind-Developer-Internal-Warning (do not write a bug report, please)]: Tried
    to get view without being able to get map module.
    pierre@PFKnet:~> /usr/bin/java -version
    java version "1.6.0_07"
    Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
    Java HotSpot(TM) Client VM (build 10.0-b23, mixed mode)
    pierre@PFKnet:~> rpm -qa | grep -i j
    libgcj-4.1.2_20070115-0.22
    java-1_5_0-sun-devel-1.5.0_update16-1.3
    java-1_6_0-sun-jdbc-1.6.0.u7-1.3
    jakarta-commons-codec-1.3-2jpp
    yast2-trans-ja-2.13.38-0.3
    xerces-j2-2.7.1-16.6
    jpackage-utils-1.7.0-77.2
    jcalendar-1.2.2-3jpp
    relaxngDatatype-1.0-2jpp
    translation-update-ja-10.0.0-0.16
    jfsutils-1.1.10-13.4
    java-1_4_2-sun-1.4.2.18-0.2
    java-1_4_2-sun-plugin-1.4.2.18-0.2
    java-1_5_0-sun-alsa-1.5.0_update16-1.3
    java-1_6_0-sun-debuginfo-1.6.0.u7-1.3
    java-1_6_0-sun-plugin-1.6.0.u7-1.3
    java-1_6_0-sun-alsa-1.6.0.u7-1.3
    jgoodies-forms-1.0.5-2jpp
    xmlbeans-1.0.4-2jpp
    java-1_4_2-gcj-compat-1.4.2.0-33.2
    xalan-j2-2.6.0-21.6
    hplip-hpijs-2.8.2-24.1
    OpenOffice_org-ja-3.0-0.4
    jre-1.6.0_10-fcs
    java-1_5_0-sun-demo-1.5.0_update16-1.3
    java-1_5_0-sun-src-1.5.0_update16-1.3
    java-1_6_0-sun-devel-1.6.0.u7-1.3
    javahelp2-2.0.02-2jpp
    jakarta-commons-lang-2.1-1jpp
    rhino-1.6-0.r1.1jpp
    ooobasis3.0-javafilter-3.0.0-9358
    java-1_5_0-sun-1.5.0_update16-1.3
    freemind-javadoc-0.8.1-1
    msv-xsdlib-1.2-0.20050722.1jpp
    libjpeg-6.2.0-752.2
    eject-2.1.0-12.2
    libjasper-1.701.0-16.10
    java-1_6_0-sun-1.6.0.u7-1.3
    java-1_6_0-sun-demo-1.6.0.u7-1.3
    ws-jaxme-0.5-1jpp
    batik-1.6-1jpp
    pierre@PFKnet:~> rpm -qa | grep freemind
    freemind-plugins-svg-0.8.1-1
    freemind-0.8.1-1
    freemind-plugins-time-0.8.1-1
    freemind-plugins-help-0.8.1-1
    freemind-javadoc-0.8.1-1
    pierre@PFKnet:~> env | grep -i j
    JRE_HOME=/usr/lib/jvm/java/jre
    LS_COLORS=no=00:fi=00:di=01;34:ln=00;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=41;33;01:ex=00;32:*.cmd=00;32:*.exe=01;32:*.com=01;32:*.bat=01;32:*.btm=01;32:*.dll=01;32:*.tar=00;31:*.tbz=00;31:*.tgz=00;31:*.rpm=00;31:*.deb=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.zoo=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.tb2=00;31:*.tz2=00;31:*.tbz2=00;31:*.avi=01;35:*.bmp=01;35:*.fli=01;35:*.gif=01;35:*.jpg=01;35:*.jpeg=01;35:*.mng=01;35:*.mov=01;35:*.mpg=01;35:*.pcx=01;35:*.pbm=01;35:*.pgm=01;35:*.png=01;35:*.ppm=01;35:*.tga=01;35:*.tif=01;35:*.xbm=01;35:*.xpm=01;35:*.dl=01;35:*.gl=01;35:*.wmv=01;35:*.aiff=00;32:*.au=00;32:*.mid=00;32:*.mp3=00;32:*.ogg=00;32:*.voc=00;32:*.wav=00;32:
    JAVA_BINDIR=/usr/lib/jvm/java/bin
    JAVA_HOME=/usr/lib/jvm/java
    SDK_HOME=/usr/lib/jvm/java
    JDK_HOME=/usr/lib/jvm/java
    JAVA_ROOT=/usr/lib/jvm/java
    pierre@PFKnet:~>

    *****

    Surprisingly, I could not find the log.0 file (see xterm log below). Could this indicate what is wrong ?

    pierre@PFKnet:~/.freemind> dir
    insgesamt 28
    -rw-r--r-- 1 pierre users 1057 2008-12-17 09:26 auto.properties
    -rw-r--r-- 1 pierre users 944 2008-12-17 09:47 FM_Sales Success Factors.mm27734.mm
    -rw-r--r-- 1 pierre users 1054 2008-12-17 09:48 FM_Sales Success Factors.mm27735.mm
    -rwxr-xr-x 1 pierre users 3180 2008-12-03 17:15 patterns.xml
    -rw-r--r-- 1 pierre users 12135 2008-12-03 17:15 user.properties
    pierre@PFKnet:~/.freemind>

    Best regards, Pierre

     
  • Eric L.
    Eric L.
    2008-12-17

    • milestone: --> FreeMind_0.8.0
    • status: open --> closed-invalid
     
  • Pierre Koever
    Pierre Koever
    2008-12-17

    Hello again

    I tried the various Look&Feel suggested (nothing, default, windows and motif). Though the look changed, the keyboard still freezes.
    I had best results with motif, where I could type for approx. 40 seconds.

    BTW, FreeMind was set on default initially.

    I also have repeated the debugging, respecting capital letters (thanks for the note). Here is the print after a freeze:

    pierre@PFKnet:~> debug=1 freemind

    Looking for user properties:
    /home/pierre/.freemind/user.properties

    User properties found.
    Default (System) Look & Feel: com.sun.java.swing.plaf.gtk.GTKLookAndFeel
    [Freemind-Developer-Internal-Warning (do not write a bug report, please)]: Tried
    to get view without being able to get map module.
    17.12.2008 09:26:08 freemind.modes.ModesCreator getAllModes
    INFO: Modes:[freemind.modes.browsemode.BrowseMode, freemind.modes.filemode.FileM
    ode, freemind.modes.mindmapmode.MindMapMode]
    17.12.2008 09:26:08 freemind.modes.ModesCreator getMode
    INFO: Initializing mode MindMap
    17.12.2008 09:26:09 freemind.modes.mindmapmode.MindMapController <init>
    INFO: createIconActions
    17.12.2008 09:26:09 freemind.modes.mindmapmode.MindMapController <init>
    INFO: createNodeHookActions
    17.12.2008 09:26:11 freemind.modes.mindmapmode.MindMapController <init>
    INFO: mindmap_menus
    17.12.2008 09:26:11 freemind.modes.mindmapmode.MindMapController <init>
    INFO: MindMapPopupMenu
    17.12.2008 09:26:11 freemind.modes.mindmapmode.MindMapController <init>
    INFO: MindMapToolBar
    17.12.2008 09:26:11 freemind.modes.mindmapmode.MindMapController <init>
    INFO: setAllActions
    17.12.2008 09:26:11 freemind.modes.ModesCreator getMode
    INFO: Done: Initializing mode MindMap
    17.12.2008 09:26:12 freemind.controller.MainToolBar setZoomComboBox
    INFO: setZoomComboBox is called with 1.0.
    17.12.2008 09:26:12 freemind.extensions.HookFactory getClassLoader
    INFO: file /usr/share/freemind/plugins/time/time_plugin.jar exists = true
    17.12.2008 09:26:12 freemind.extensions.HookFactory getClassLoader
    INFO: file /usr/share/java/jcalendar.jar exists = true
    17.12.2008 09:26:12 freemind.modes.mindmapmode.MindMapController startupControll
    er
    INFO: mScheduledActions are executed: 4
    17.12.2008 09:26:12 freemind.modes.ControllerAdapter registerMouseWheelEventHand
    ler
    INFO: Registered MouseWheelEventHandler accessories.plugins.UnfoldAll$Registra
    tion@6a2f81
    17.12.2008 09:26:32 freemind.modes.ControllerAdapter deRegisterMouseWheelEventHa
    ndler
    INFO: Deregistered MouseWheelEventHandler accessories.plugins.UnfoldAll$Registra
    tion@6a2f81
    [Freemind-Developer-Internal-Warning (do not write a bug report, please)]: Tried
    to get view without being able to get map module.
    pierre@PFKnet:~> /usr/bin/java -version
    java version "1.6.0_07"
    Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
    Java HotSpot(TM) Client VM (build 10.0-b23, mixed mode)
    pierre@PFKnet:~> rpm -qa | grep -i j
    libgcj-4.1.2_20070115-0.22
    java-1_5_0-sun-devel-1.5.0_update16-1.3
    java-1_6_0-sun-jdbc-1.6.0.u7-1.3
    jakarta-commons-codec-1.3-2jpp
    yast2-trans-ja-2.13.38-0.3
    xerces-j2-2.7.1-16.6
    jpackage-utils-1.7.0-77.2
    jcalendar-1.2.2-3jpp
    relaxngDatatype-1.0-2jpp
    translation-update-ja-10.0.0-0.16
    jfsutils-1.1.10-13.4
    java-1_4_2-sun-1.4.2.18-0.2
    java-1_4_2-sun-plugin-1.4.2.18-0.2
    java-1_5_0-sun-alsa-1.5.0_update16-1.3
    java-1_6_0-sun-debuginfo-1.6.0.u7-1.3
    java-1_6_0-sun-plugin-1.6.0.u7-1.3
    java-1_6_0-sun-alsa-1.6.0.u7-1.3
    jgoodies-forms-1.0.5-2jpp
    xmlbeans-1.0.4-2jpp
    java-1_4_2-gcj-compat-1.4.2.0-33.2
    xalan-j2-2.6.0-21.6
    hplip-hpijs-2.8.2-24.1
    OpenOffice_org-ja-3.0-0.4
    jre-1.6.0_10-fcs
    java-1_5_0-sun-demo-1.5.0_update16-1.3
    java-1_5_0-sun-src-1.5.0_update16-1.3
    java-1_6_0-sun-devel-1.6.0.u7-1.3
    javahelp2-2.0.02-2jpp
    jakarta-commons-lang-2.1-1jpp
    rhino-1.6-0.r1.1jpp
    ooobasis3.0-javafilter-3.0.0-9358
    java-1_5_0-sun-1.5.0_update16-1.3
    freemind-javadoc-0.8.1-1
    msv-xsdlib-1.2-0.20050722.1jpp
    libjpeg-6.2.0-752.2
    eject-2.1.0-12.2
    libjasper-1.701.0-16.10
    java-1_6_0-sun-1.6.0.u7-1.3
    java-1_6_0-sun-demo-1.6.0.u7-1.3
    ws-jaxme-0.5-1jpp
    batik-1.6-1jpp
    pierre@PFKnet:~> rpm -qa | grep freemind
    freemind-plugins-svg-0.8.1-1
    freemind-0.8.1-1
    freemind-plugins-time-0.8.1-1
    freemind-plugins-help-0.8.1-1
    freemind-javadoc-0.8.1-1
    pierre@PFKnet:~> env | grep -i j
    JRE_HOME=/usr/lib/jvm/java/jre
    LS_COLORS=no=00:fi=00:di=01;34:ln=00;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=41;33;01:ex=00;32:*.cmd=00;32:*.exe=01;32:*.com=01;32:*.bat=01;32:*.btm=01;32:*.dll=01;32:*.tar=00;31:*.tbz=00;31:*.tgz=00;31:*.rpm=00;31:*.deb=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.zoo=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.tb2=00;31:*.tz2=00;31:*.tbz2=00;31:*.avi=01;35:*.bmp=01;35:*.fli=01;35:*.gif=01;35:*.jpg=01;35:*.jpeg=01;35:*.mng=01;35:*.mov=01;35:*.mpg=01;35:*.pcx=01;35:*.pbm=01;35:*.pgm=01;35:*.png=01;35:*.ppm=01;35:*.tga=01;35:*.tif=01;35:*.xbm=01;35:*.xpm=01;35:*.dl=01;35:*.gl=01;35:*.wmv=01;35:*.aiff=00;32:*.au=00;32:*.mid=00;32:*.mp3=00;32:*.ogg=00;32:*.voc=00;32:*.wav=00;32:
    JAVA_BINDIR=/usr/lib/jvm/java/bin
    JAVA_HOME=/usr/lib/jvm/java
    SDK_HOME=/usr/lib/jvm/java
    JDK_HOME=/usr/lib/jvm/java
    JAVA_ROOT=/usr/lib/jvm/java
    pierre@PFKnet:~>

    Thanks in advance for looking into this again !

    Best regards, Pierre

     
  • Eric L.
    Eric L.
    2008-12-17

    OK, I reopen, but
    1. you wrote again 'debug=1' instead of 'DEBUG=1'
    2. you still have the GTK Look&Feel, it's really too buggy, please change to motif until we've found the issue.
    3. start FreeMind, make it freeze, close it, attach the file ~/.freemind/log.0 to this report.

    Eric

     
  • Eric L.
    Eric L.
    2008-12-17

    • status: closed-invalid --> open
     
  • Pierre Koever
    Pierre Koever
    2008-12-17

    Hello

    I changed to "Motif", debugged in capitals, and made FreeMind freeze after approx. 40 seconds. However, I cannot find the log.0 file. Where else could it be ?

    Thank you very much for re-opening, and my apologies for being a pain.

    Best regards, Pierre

    =====

    pierre@PFKnet:/> cd home/pierre/.freemind
    pierre@PFKnet:~/.freemind> dir
    insgesamt 24
    -rw-r--r-- 1 pierre users 1312 2008-12-17 23:03 auto.properties
    -rw-r--r-- 1 pierre users 0 2008-12-17 10:10 cd
    -rw-r--r-- 1 pierre users 0 2008-12-17 10:10 dir
    -rw-r--r-- 1 pierre users 1900 2008-12-17 23:09 FM_Sales Success Factors.mm35678.mm
    -rwxr-xr-x 1 pierre users 3180 2008-12-03 17:15 patterns.xml
    -rw-r--r-- 1 pierre users 12135 2008-12-03 17:15 user.properties
    pierre@PFKnet:~/.freemind>

    =====

    pierre@PFKnet:~> DEBUG=1 freemind
    DEBUG: Using $JAVA_BINDIR to find java virtual machine.
    DEBUG: Using '/usr/lib/jvm/java/bin/java' as java virtual machine...
    java version "1.6.0_07"
    Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
    Java HotSpot(TM) Client VM (build 10.0-b23, mixed mode)
    DEBUG: Freemind parameters are ''.
    DEBUG: Linux PFKnet 2.6.16.60-0.33-default #1 Fri Oct 31 14:24:07 UTC 2008 i686 i686 i386 GNU/Linux
    DEBUG: LSB Version: core-2.0-noarch:core-3.0-noarch:core-2.0-ia32:core-3.0-ia32:desktop-3.1-ia32:desktop-3.1-noarch:graphics-2.0-ia32:graphics-2.0-noarch:graphics-3.1-ia32:graphics-3.1-noarch
    Distributor ID: SUSE LINUX
    Description: SUSE Linux Enterprise Desktop 10 (i586)
    Release: 10
    Codename: n/a
    DEBUG: The following RPM packages are installed:
    freemind-plugins-svg-0.8.1-1
    freemind-0.8.1-1
    freemind-plugins-time-0.8.1-1
    freemind-plugins-help-0.8.1-1
    freemind-javadoc-0.8.1-1
    DEBUG: Link '/usr/bin/freemind' resolved to '/usr/share/freemind/freemind.sh'.DEBUG: Freemind Directory is '/usr/share/freemind'.
    DEBUG: Calling: '/usr/lib/jvm/java/bin/java -Dfreemind.base.dir=/usr/share/freemind -cp ::/usr/share/freemind/lib/freemind.jar:/usr/share/freemind/lib/ant/lib/jaxb-api.jar:/usr/share/freemind/lib/ant/lib/jaxb-impl.jar:/usr/share/freemind/lib/ant/lib/jaxb-libs.jar:/usr/share/freemind/lib/ant/lib/namespace.jar:/usr/share/java/relaxngDatatype.jar:/usr/share/java/xsdlib.jar:/usr/share/freemind/lib/ant/lib/jax-qname.jar:/usr/share/java/xml-commons-apis.jar:/usr/share/java/forms.jar:/usr/share/java/commons-lang.jar:/usr/share/java/commons-codec.jar:/usr/share/freemind freemind.main.FreeMind '.

    Looking for user properties:
    /home/pierre/.freemind/user.properties

    User properties found.
    [Freemind-Developer-Internal-Warning (do not write a bug report, please)]: Tried to get view without being able to get map module.
    17.12.2008 23:02:10 freemind.modes.ModesCreator getAllModes
    INFO: Modes:[freemind.modes.browsemode.BrowseMode, freemind.modes.filemode.FileMode, freemind.modes.mindmapmode.MindMapMode]
    17.12.2008 23:02:10 freemind.modes.ModesCreator getMode
    INFO: Initializing mode MindMap
    17.12.2008 23:02:10 freemind.modes.mindmapmode.MindMapController <init>
    INFO: createIconActions
    17.12.2008 23:02:10 freemind.modes.mindmapmode.MindMapController <init>
    INFO: createNodeHookActions
    17.12.2008 23:02:12 freemind.modes.mindmapmode.MindMapController <init>
    INFO: mindmap_menus
    17.12.2008 23:02:12 freemind.modes.mindmapmode.MindMapController <init>
    INFO: MindMapPopupMenu
    17.12.2008 23:02:12 freemind.modes.mindmapmode.MindMapController <init>
    INFO: MindMapToolBar
    17.12.2008 23:02:12 freemind.modes.mindmapmode.MindMapController <init>
    INFO: setAllActions
    17.12.2008 23:02:12 freemind.modes.ModesCreator getMode
    INFO: Done: Initializing mode MindMap
    17.12.2008 23:02:13 freemind.controller.MainToolBar setZoomComboBox
    INFO: setZoomComboBox is called with 1.0.
    17.12.2008 23:02:13 freemind.extensions.HookFactory getClassLoader
    INFO: file /usr/share/freemind/plugins/time/time_plugin.jar exists = true
    17.12.2008 23:02:13 freemind.extensions.HookFactory getClassLoader
    INFO: file /usr/share/java/jcalendar.jar exists = true
    17.12.2008 23:02:13 freemind.modes.mindmapmode.MindMapController startupController
    INFO: mScheduledActions are executed: 4
    17.12.2008 23:02:13 freemind.modes.ControllerAdapter registerMouseWheelEventHandler
    INFO: Registered MouseWheelEventHandler accessories.plugins.UnfoldAll$Registration@4693f9
    17.12.2008 23:03:46 freemind.modes.ControllerAdapter deRegisterMouseWheelEventHandler
    INFO: Deregistered MouseWheelEventHandler accessories.plugins.UnfoldAll$Registration@4693f9
    [Freemind-Developer-Internal-Warning (do not write a bug report, please)]: Tried to get view without being able to get map module.
    pierre@PFKnet:~>

     
  • Eric L.
    Eric L.
    2008-12-18

    Hi,

    sorry, forget about the log.0 file, it only came with version 0.9.0...

    I didn't see anything suspicious, which is bad...

    A few more ideas:
    1. try to move away ~/.freemind and start again, sometimes it gets corrupted...
    2. check ~/.xsession-errors and ~/.java (not sure about the names), check if you see something spurious appearing shortly before or after keyboard freeze. You can attach those logfiles to the report (make sure there is nothing personal or security relevant).
    3. do you have SCIM or something similar activated?

    Eric

     
  • Pierre Koever
    Pierre Koever
    2008-12-27

    Hello

    I tried 1.) and 2.) with no better luck. Nothing suspicious. Re. 3.) Yes, SCIM is installed, but also without it, keyboard froze.

    In the meantime, I have upgraded the HP2133 to openSuse 11.1 and I am happy to say that FreeMind works perfectly fine there. No issues whatsoever !

    I only have to xif a screen resolution bug now ...

    Best regards,

    Pierre

     
  • Upgrading helped you. I close the bug.

     
    • status: open --> closed-fixed